# Build html from m4 macrofiles
# $Id$
#
# (c)2005,2006 by Intevation GmbH
# Author(s): Sascha Wilde
#
# This is Free Software licensed under the GPL

# Preprocessor configuration
PP = m4
PPFLAGS = --prefix-builtins

# Build configuration
TARGETS = $(patsubst %.htm4,%.html,$(wildcard *.htm4))
SUBDIRS = 

# Installation configuration
INSTALL_DIR = ./mxd2map-www
ADD_INST_TYPES = *.css *.php *.png .htaccess
ADD_INST_DIRS = img documentation

CURDIR=$(shell pwd)

.SUFFIXES: .html .htm4

.htm4.html:
	$(PP) -DNO_LINK_FOR=$@ $(PPFLAGS) $< > $@

all: $(TARGETS) doc images subdirs

$(TARGETS): template.m4 template_header.m4 \
            header.m4 style.css

doc:
	$(MAKE) -C ../doku/ online

images:
	$(MAKE) -C ../doku/funktionsweise/ all

subdirs: $(SUBDIRS)
	@for dir in $^ ; do \
	  $(MAKE) -C $$dir SUBDIRS="" ; \
	done

online: all 
	echo "Going to put current contents online for www.mxd2map.org ..."
	rsync -urvPL --exclude='.hg' $(ADD_INST_TYPES) $(TARGETS) $(ADD_INST_DIRS) \
        sholl@wald.intevation.org:/mxd2map/htdocs/

install: all
	mkdir -p $(INSTALL_DIR) ;\
	cp -uf $(TARGETS) $(INSTALL_DIR) ;\
	cp -uf $(ADD_INST_TYPES) $(INSTALL_DIR)
	cp -urf *$(ADD_INST_DIRS) $(INSTALL_DIR)
	find $(INSTALL_DIR) -name ".hg" | xargs rm -rf

tar: install
	echo $(CURDIR)
	( cd $(INSTALL_DIR) ; tar -czv -f $(CURDIR)/www.mxd2map.org.tar.gz . )

clean:
	$(MAKE) -C ../doku/funktionsweise/ clean
	$(MAKE) -C ../doku/ clean
	rm -f *.html

clean-en:
	rm -f 404.html about.html contact.html development.html donate.html download.html impressum.html index.html license.html

